#pragma once
#include "gamestate.h"
#include "Player.h"



class GSDone : public CGameState
{

  public:

    Player                  m_Player;
    Player                  m_Player2;
    float                   m_GrowDelay;
    bool                    m_SecondPlayer;



    GSDone();
    virtual ~GSDone();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );

};
